import { Test, TestingModule } from '@nestjs/testing';
import { PipelineTasksService } from './pipeline-tasks.service';
import { getRepositoryToken } from '@nestjs/typeorm';
import { PipelineTask } from './pipeline-task.entity';
import { PIPELINE_TASK_QUEUE } from './pipeline-tasks.constants';
import { getQueueToken } from '@nestjs/bull';
import { RedisService } from 'nestjs-redis';
import { Pipeline } from '../pipelines/pipeline.entity';

describe('PipelineTasksService', () => {
  let service: PipelineTasksService;

  beforeEach(async () => {
    const module: TestingModule = await Test.createTestingModule({
      providers: [
        PipelineTasksService,
        {
          provide: getRepositoryToken(PipelineTask),
          useValue: {},
        },
        PipelineTasksService,
        {
          provide: getRepositoryToken(Pipeline),
          useValue: {},
        },
        {
          provide: getQueueToken(PIPELINE_TASK_QUEUE),
          useValue: {},
        },
        {
          provide: RedisService,
          useValue: {},
        },
      ],
    }).compile();

    service = module.get<PipelineTasksService>(PipelineTasksService);
  });

  it('should be defined', () => {
    expect(service).toBeDefined();
  });
});
